GearmanClient::addTaskStatus
GearmanClient::clone
GearmanClient
PHP Manual

# GearmanClient::clearCallbacks

Clear all task callback functions

### Description

public bool GearmanClient::clearCallbacks ( void )

Clears all the task callback functions that have previously been set.

### Parameters

This function has no parameters.

### Return Values

Always returns `TRUE`.

### See Also

- GearmanClient::setDataCallback
- GearmanClient::setCompleteCallback
- GearmanClient::setCreatedCallback
- GearmanClient::setExceptionCallback
- GearmanClient::setFailCallback
- GearmanClient::setStatusCallback
- GearmanClient::setWarningCallback
- GearmanClient::setWorkloadCallback